@import "app/UI/styles/index";

@mixin fillTheButton($fontColor, $backgroundColor, $borderColor) {
  color: $fontColor;
  background-color: $backgroundColor;
  border: 1px solid $borderColor;

  min-width: 256px;
  height: 38px;
  border-radius: 4px;
  font-size: 14px;
  line-height: 16px;
  font-family: $primary-font;
  font-style: normal;
  font-weight: 600;
  cursor: pointer;
  margin: 10px;
}

.Default {
  @include fillTheButton($color-dodger-blueapprox, $color-white, $color-dodger-blueapprox);

  &:hover {
    &:not([disabled]) {
      @include fillTheButton($color-persian-blue, $color-white, $color-persian-blue);
    }
  }

  &:disabled {
    @include fillTheButton($color-manateeapprox, $color-white, $color-manateeapprox);
    cursor: not-allowed;
  }
}

.Primary {
  @include fillTheButton($color-white, $color-dodger-blueapprox, none);
  border: none;

  &:hover {
    &:not([disabled]) {
      @include fillTheButton($color-white, $color-persian-blue, none);
    }
  }

  &:disabled {
    @include fillTheButton($color-white, $color-manateeapprox, none);
    cursor: not-allowed;
  }
}
